## ace-dt bottle commit

Processes and commits local changes to a bottle

### Synopsis

Description:
  Processes any local additions, deletions, and modifications to known 
  parts of a bottle to be processed and added to the bottle metadata.

  Commits will automatically deprecate the previous version (bottleID) of this bottle.
  This can be disabled by passing the --no-deprecate flag.


```
ace-dt bottle commit [flags]
```

### Examples

```

Commit from current working directory:
	ace-dt bottle commit

Commit a bottle at path <TESTSET>:
	ace-dt bottle commit -d TESTSET

View information prior to commit: 
	ace-dt bottle status

```

### Options

```
  -z, --compression-level string   Overrides the compression level.
      --debug string               Puts UI into debug mode, dumping all UI events to the given path.
  -h, --help                       help for commit
      --no-deprecate               Disable deprecation of previous bottle version
      --no-term                    Disable terminal support for fancy printing
  -q, --quiet                      Quiet mode.  Do not output any status to standard output.  Errors are still output to standard error.
      --write-bottle-id string     File path to write the bottle ID after a bottle operation
```

### Options inherited from parent commands

```
  -d, --bottle-dir string          Specify bottle directory (default "/builds/ace/data/tool")
      --config stringArray         configuration file location (setable with env "ACE_DT_CONFIG").
                                   The first configuration file present is used.  Others are ignored.
                                    (default [ace-dt-config.yaml,HOMEDIR/.config/ace/dt/config.yaml,/etc/ace/dt/config.yaml])
  -v, --verbosity strings[=warn]   Logging verbosity level (also setable with environment variable ACE_DT_VERBOSITY)
                                   Aliases: error=0, warn=4, info=8, debug=12 (default [error])
```

### SEE ALSO

* [ace-dt bottle](ace-dt_bottle.md)	 - A command group for common data bottle operations

